<?php
	$age = (new DateTime("now"))->diff(DateTime::createFromFormat("Y-m-d", "2004-01-15"))->y;
?>
<!DOCTYPE html>
<html lang="en">
	<head>
		<?php require "inc/head.inc" ?>
	</head>
	<body>

		<?php require "inc/nav.inc" ?>

		<div id="main-and-sidebar" dir="rtl" class="inline-block">

			<div id="main-wrapper" class="inline-block">
				<div id="main" class="inline-block">
					<main>

						<div class="section container">
							<img id="typeracer-badge" style="float: right" src="https://data.typeracer.com/misc/badge?user=reimarpb" width="120" height="240">

							<h1>Welcome</h1>
							<span>I'm <?= $age == 18 ? "an" : "a" ?> <?= $age ?> year old programmer from Denmark.</span>
							<br>
							<span>I mainly code in JavaScript, PHP, C and Rust.</span>
							<br>
							<span>I can also type between 100-130 words per minute.</span>
							<br>
							<span>This website is being hosted on a Raspberry Pi at my home, along with some other services that can be found on this site.</span>
							<br><br>

							<img class="icon" src="/assets/icons/linkedin.png" alt="LinkedIn" width="16" height="16">
							<a href="https://www.linkedin.com/in/reimarpb/" target="_blank" title="LinkedIn">
								LinkedIn
							</a>
							<br>

							<picture class="dark">
								<source type="image/svg+xml" srcset="/assets/icons/dark-mode/github.svg">
								<img class="dark icon" src="/assets/icons/dark-mode/github.png" alt="GitHub">
							</picture>
							<picture class="light">
								<source type="image/svg+xml" srcset="/assets/icons/light-mode/github.svg">
								<img class="light icon" src="/assets/icons/light-mode/github.png" alt="GitHub">
							</picture>
							<a href="https://github.com/ReimarPB" target="_blank" title="GitHub">
								GitHub
							</a>

							<div style="clear: both"></div>
						</div>

						<div class="section container">
							<h1>Projects</h1>
							<span>These are some of the projects I've made:</span>
							<hr>
							<img src="/assets/icons/popup-timer.ico" class="pixelated icon" alt="">
							<b>Popup Timer</b>
							<br>
							<span>Have a timer or stopwatch in the corner of your screen, directly from within your browser</span>
							<br>
							<i><a href="https://popup-timer.reim.ar" target="_blank">Open in browser</a></i>

							<hr>

							<img src="/assets/icons/gameoflife.ico" class="pixelated icon" alt="">
							<b>Game of life</b>
							<br>
							<span>Conway's Game of Life created with the win32 API</span>
							<br>
							<i>
								<a href="/assets/bin/gameoflife.exe">Download for Windows</a>
								&bull;
								<a href="https://github.com/ReimarPB/GameOfLife-Win32" target="_blank">View on GitHub</a>
							</i>

							<hr>

							<img src="/assets/icons/reimtris.ico" class="icon" alt="">
							<b>Reimtris</b>
							<br>
							<span>A Tetris clone written in Rust with epic background music</span>
							<br>
							<i>
								<a href="/assets/bin/Reimtris.exe">Download for Windows</a>
								&bull;
								<a href="/assets/bin/Reimtris">Download for Linux</a>
							</i>
						</div>

						<div class="section container">
							<h1>Services</h1>
							<span>These are the services currently being hosted on this server:</span>
							<hr>
							<img src="https://git.reim.ar/favicon.ico" class="icon" alt="">
							<b>Gitea</b>
							<br>
							<span>This is my Gitea instance and the remote host I use for some of my projects</span>
							<br>
							<i>
								<a href="https://git.reim.ar/explore/repos">View repositories</a>
								&bull;
								<a href="/api/random_repo.php">Go to random repository</a>
							</i>
						</div>
					</main>
				</div>
			</div><!--

			--><?php require "inc/sidebar.inc" ?>

		</div>

		<?php require "inc/background.inc" ?>

	</body>
</html>
